/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1989, 1990, 1991, William Cheng.
 *
 * @(#)$Header: /tmp_mnt/n/kona/tangram/u/william/X11/TGIF2/RCS/file.e,v 2.0 91/03/05 12:49:08 william Exp $
 */

extern char	curFileName[];
extern int	curFileDefined;
extern int	fileVersion;
extern int	importingFile;
extern char	* fileMenuStr[];
extern int	psDotsPerInch;
extern char	* psScaleStr[];
extern float	psScale[];
extern char	* psXOffStr[];
extern float	psXOff[];
extern char	* psYOffStr[];
extern float	psYOff[];
extern float	psPageWidthInInch[];
extern float	psPageHeightInInch[];
extern char	printCommand[];

extern void	ClearFileInfo ();
extern int	OkayToCreateFile ();
extern void	Save ();
extern void	SaveNewFile ();
extern void	SaveFile ();
extern char	* ParseStr ();
extern char	* FindChar ();
extern void	ReadState ();
extern void	ReadObjAttrs ();
extern int	ReadObj ();
extern void	ChangeDomain ();
extern void	ImportFile ();
extern void	ImportXBitmapFile ();
extern void	LoadFile ();
extern void	DumpPatFill ();
extern void	DumpSymOutline ();
extern void	DumpAttrs ();
extern void	DumpAllObj ();
extern void	DumpBBox ();
extern void	Dump ();
extern void	PrintWithCommand ();
extern void	NewProc ();
extern void	OpenProc ();
extern int	QuitProc ();
extern int	SolveProc ();
extern int	SimulateProc ();
extern int	AnimateProc ();
extern int	ProbeProc ();
extern int	EscapeProc ();
extern int	FileMenu ();
extern void	CleanUpFiles ();
extern void	EmergencySave ();
extern int	EmergencySaveForX ();
